var app = getApp()
Page({
  data: {
    order: [],
    links: '',
    user_id: '',
    // curPage: 1,
  },
  onLoad: function(options) {
    this.setData({
      user_id: options.id
    })
    this.getList();
    // app.request('user/order?user_id=' + options.id, '', 'GET').then(res => {
    //   console.log(res)
    //   this.setData({
    //     order: res.data.data,
    //     links: res.data.links.next
    //   })
    // })
  },
  detail: function(e) {
    wx.navigateTo({
      // url: '/pages/orderDetail/orderDetail?id=' + e.currentTarget.dataset.id +"&index=" + this.data.curPage,
      url: '/pages/orderDetail/orderDetail?id=' + e.currentTarget.dataset.id,
    })
  },
  //获取列表
  getList() {
    // let url = "";
    // if (this.data.curPage == 1) {
    //   url = 'user/order?page = 1';
    // } else {
    //   url = 'user/orderRent?page = 1'
    // }
    let data = {
      user_id: this.data.user_id
    }
    app.request('user/order?page = 1', data, 'GET').then(res => {
      if (res.statusCode == 200) {
        console.log(res);
        this.setData({
          order: res.data.data,
          links: res.data.links.next
        })
      }
    })
  },
  // choose(e) {
  //   this.setData({
  //     curPage: e.currentTarget.dataset.idx
  //   })
  //   this.getList();
  // },
  onReady: function() {

  },
  onShow: function() {

  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {
    let self = this;
    wx.showLoading({
      title: '加载中...',
    })
    // let url = "";
    // if (self.data.curPage == 1) {
    //   url = 'user/order?page = 1'
    // } else {
    //   url = 'user/orderRent?page =1 '
    // }
    let data = {
      user_id: this.data.user_id
    }
    // app.request(url, data, 'GET').then(res => {
    app.request('user/order?page = 1', data, 'GET').then(res => {
      if (res.statusCode == 200) {
        wx.showToast({
          title: '刷新成功',
          icon: 'none'
        })
        wx.hideLoading();
        wx.stopPullDownRefresh();
        self.setData({
          order: res.data.data,
          links: res.data.links.next
        })
      }
    })
  },
  onReachBottom: function() {
    var that = this;
    if (that.data.links != null) {
      wx.request({
        url: that.data.links,
        header: {
          'content-type': 'application/x-www-form-urlencoded',
          'Authorization': 'bearer' + ' ' + wx.getStorageSync('token'),
        },
        method: 'POST',
        data: {
          bike_id: that.data.id
        },
        success: function(res) {
          console.log(res)
          wx.hideLoading()
          that.setData({
            order: that.data.order.concat(res.data.data),
            links: res.data.links.next
          })
        }
      })
    } else {
      wx.hideLoading()
      wx.showToast({
        title: '没数据了~',
        icon: 'none'
      })
    }
  },
  onShareAppMessage: function() {

  }
})