var app = getApp()
Page({
  data: {
    oldPwd: '', //旧密码
    newPwd: '', //新密码
    sPwd: '' //确认密码
  },
  //验证旧密码
  ckOld(e) {
    this.setData({
      oldPwd: e.detail.value
    })
    let data = {
      old_password: this.data.oldPwd
    }
    app.request('personal/verifyOldPassword', data, 'POST').then(res => {
      if (res.statusCode == 400) {
        wx.showToast({
          title: '原密码不正确',
          icon: 'none'
        })
      }
    })
  },
  // 新密码
  ckNew(e) {
    this.setData({
      newPwd: e.detail.value
    })
    if (this.data.oldPwd == this.data.newPwd) {
      wx.showToast({
        title: '新密码不能与原密码一致',
        icon: 'none'
      })
    }
  },
  //确认密码
  ckPwd(e) {
    this.setData({
      sPwd: e.detail.value
    })
    if (this.data.sPwd != this.data.newPwd) {
      wx.showToast({
        title: '确认密码与新密码不一致',
        icon: 'none'
      })
    }
  },
  //确认修改
  submit() {
    if (!this.data.oldPwd) {
      wx.showToast({
        title: '原密码不能为空',
        icon: 'none'
      })
    } else if (!this.data.newPwd) {
      wx.showToast({
        title: '新密码不能为空',
        icon: 'none'
      })
    } else if (!this.data.sPwd) {
      wx.showToast({
        title: '确认密码不能为空',
        icon: 'none'
      })
    }else{
      let data ={
        new_password: this.data.newPwd,
        re_password: this.data.sPwd,
        old_password: this.data.oldPwd
      }
      app.request('personal/changePassword',data,'POST').then(res=>{
        if(res.statusCode == 200){
          wx.showToast({
            title: '密码修改成功！',
            icon:'none'
          })
          wx.clearStorage();
          wx.navigateTo({
            url: '/pages/login/login',
          })
        }
      })
    }
  },
  onLoad: function(options) {

  },
  onReady: function() {

  },
  onShow: function() {

  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {

  },
  onReachBottom: function() {

  },
  onShareAppMessage: function() {

  }
})