var app = getApp()
Page({
  data: {
    list:[],
    index1:null,
    bike_no:'',
    id:'',
    value1:'',
    value3: ''
  },
  onLoad: function (options) {
    var that = this;
    that.setData({value1:options.bike_no})
    app.request('bike/repairOptions', '', 'GET').then(res => {
      console.log(res)
      if (res.statusCode == 200) {
        that.setData({list:res.data})
      }
    }) 
    wx.setNavigationBarTitle({
      title: '报修页面'
    })
  },
  input1:function(e){
    this.setData({value1:e.detail.value})
  },
  input3: function (e) {
    this.setData({ value3: e.detail.value })
  },
  screen:function(e){
    var event = e.currentTarget.dataset;
    var that = this;
    that.setData({index1:event.index,id:event.id})
  },
  btn:function(){
    var that = this;
    if(that.data.value1==''){
      wx.showToast({
        title: '请输入车牌号',
        icon:'none'
      })
      return ;
    } else if (that.data.value3 == '') {
      wx.showToast({
        title: '请输入原因',
        icon: 'none'
      })
      return;
    }else if(that.data.id==''){
      wx.showToast({
        title: '请选择状态',
        icon: 'none'
      })
      return;
    }
    var data = {
      bike_no:that.data.value1,
      trouble_part:that.data.id,
      reason:that.data.value3
    }
    app.request('bike/bikeRepair', data, 'POST').then(res => {
      console.log(res)
      if (res.statusCode == 200) {
          wx.showToast({
            title: '报修完成',
            icon:'none'
          })
          setTimeout(function(){
            wx.navigateBack()
          },2000)
      }
    })
  },
  onReady: function () {

  },
  onShow: function () {

  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {

  }
})