var app = getApp()
Page({
  data: {
    scan: [],
    longitude: '',
    latitude: '',
    markers: [],
    not:false,
  },
  onLoad: function(options) {
    let data = {
      bike_id: options.id
    }
    app.request('bike/sweepCodeLocation', data, 'POST').then(res => {
      console.log(res, '扫码记录')
      if (res.statusCode == 200) {
        if (res.data.length == 0) {
          // wx.showToast({
          //   title: '暂无数据',
          //   icon: 'none'
          // })
          this.setData({
            not:true
          })
        } else {
          let self = this;
          let arr = res.data;
          for (var i = 0; i < arr.length; i++) {
            arr[i].iconPath = 'http://resource.weilaibike.com/common/start-location-mark-old.png';
            arr[i].width = 30;
            arr[i].height = 30;
            arr[i].zIndex = 1111;
            arr[i].latitude = arr[i].location[1];
            arr[i].longitude = arr[i].location[0];
          }
          self.setData({
            markers: arr,
            scan: res.data,
            longitude: arr[0].location[0],
            latitude: arr[0].location[1]
          })
        }
      }
    })
  },
  //获取当前扫码位置
  current(e) {
    let self = this;
    let nowPosition = self.data.markers
    let idx = e.currentTarget.dataset.idx;
    for (var i = 0; i < nowPosition.length; i++) {
      nowPosition[i].iconPath =
        "http://resource.weilaibike.com/common/start-location-mark-old.png";
    }
    nowPosition[idx].iconPath = "http://resource.weilaibike.com/common/end-location-mark-old.png";
    self.setData({
      markers:nowPosition
    })
  },
  onReady: function() {

  },
  onShow: function() {

  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {

  },
  onReachBottom: function() {

  },
  onShareAppMessage: function() {

  }
})