var app = getApp()
Page({
  data: {
    carList: [
      //详情列表
      {
        id: 1,
        img_url: "http://resource.weilaibike.com/bike_yunwei/position.png",
        text: "车辆位置"
      },
      {
        id: 2,
        img_url: "http://resource.weilaibike.com/bike_yunwei/scan.png",
        text: "扫码位置"
      },
      {
        id: 3,
        img_url: "http://resource.weilaibike.com/bike_yunwei/order.png",
        text: "最近订单"
      },
      {
        id: 4,
        img_url: "http://resource.weilaibike.com/bike_yunwei/lock.png",
        text: "开关锁记录"
      },
      {
        id: 4,
        img_url: "http://resource.weilaibike.com/bike_yunwei/line.png",
        text: "上下线记录"
      }
    ],
    id:'',
    bike_no:'',
    detail:[]
  },
  //点击跳转
  skip(e) {
    let idx = parseInt(e.currentTarget.dataset.idx);
    let url = ''
    switch (idx) {
      case 0:
        url = '/pages/carPosition/carPosition';
        break;
      case 1:
        url = '/pages/scanRecord/scanRecord';
        break;
      case 2:
        url = '/pages/recentOrder/recentOrder';
        break;
      case 3:
        url = '/pages/lockRecord/lockRecord';
        break;
      case 4:
        url = '/pages/lineRecord/lineRecord';
        break;
      default:;
    }
    wx.navigateTo({
      url: url+'?bike_no='+this.data.bike_no +'&&id='+this.data.id,
    })
  },
  onLoad: function(options) {
    console.log(options,1111)
    this.setData({bike_no:options.bike_no,id:options.id})
    app.request('bike/getBikeInfo?bike_no='+options.bike_no, '', 'GET').then(res => {
      console.log(res)
      this.setData({ detail: res.data.bike_info})
    })
  },
  onReady: function() {

  },
  onShow: function() {

  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {

  },
  onReachBottom: function() {

  },
  onShareAppMessage: function() {

  }
})